/*
 * @Author: your name
 * @Date: 2021-11-18 13:40:39
 * @LastEditTime: 2021-12-06 14:34:27
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \hyyfClient\src\utils\chenApi.js
 */
import axios from './http';

/** 生物安全 */
/* 获取门禁所有 - 人脸门禁 +  */
export function getFaceGuardTotal(data) {
  return axios({
    url: '/produce/person/get_person_record_totalpage',
    method: 'post',
    data: data
  })
}

/* 车辆管理 - 车辆通行 */
export function getCarPassage(data) {
  return axios({
    url: '/produce/car/get_car_record',
    method: 'get',
    params: data
  })
}

/* 车辆管理 - 车辆洗消 */
export function getCarWash(params) {
  return axios({
    url: '/produce/accident/accident_record_xixiao',
    method: 'post',
    data: params
  })
}

/* 车辆管理 - 车辆洗消 - 总数 */
export function getCarWashTotal(params) {
  return axios({
    url: '/produce/accident/accident_record_xixiao_totalpage',
    method: 'post',
    data: params
  })
}

/* 车辆洗消 - 视频回放 */
export function getCarWashVideo(params) {
  return axios({
    url: '/produce/video/getVideoRecord',
    method: 'post',
    data: params
  })
}

/* 车辆烘干 */
// export function getCarDrying(params) {
//   return axios({
//     url: 'http://192.168.1.171:8089/baseTelecomRoom/list',
//     method: 'get',
//     params: params
//   })
// }
// 数据查询
export function getCarDrying(params) {
  return axios({
    url: '/produce/telecom/listevent',
    method: 'get',
    params: params
  })
}
// 温度变化
export function getCarDryingTemp(params) {
  return axios({
    url: '/produce/telecom/listeventdetail',
    method: 'get',
    params: params
  })
}

/* 人员管理 */
// 档案管理
export function getPersonFiles(params) {
  return axios({
    url: '/produce/person/ge_person_list',
    method: 'post',
    data: params
  })
}

/** 生产数据 - ERP 数据分析 - 工作看板 */
// 汇总信息
export function getWorkTotal(params) {
  return axios({
    url: '/produce/prodWorkPlan/listWorkPlan',
    method: 'get',
    params: params
  })
}
// 报警信息
export function getWorkInfos(params) {
  return axios({
    url: '/produce/prodWarningMsg/listWarningMsg',
    method: 'get',
    params: params
  })
}

/**  生产数据 - ERP 数据分析 - 安全库存报警 */
export function getSafeInventory(params) {
  return axios({
    url: '/produce/prodGoodsWarning/listGoodsWarning',
    method: 'post',
    data: params
  })
}

/** 生产数据 - ERP - 生产情况 */
export function getProductionCondition(params) {
  return axios({
    url: '/produce/prodProduce/listProducee',
    method: 'get',
    params: params
  })
}

/** 生产数据 - ERP - 重要指标折线图 */
export function getImportantData(params) {
  return axios({
    url: '/produce/prodProduce/listImportance',
    method: 'post',
    data: params
  })
}

/* ERP - 经营分析 - 成本分析 */
export function getCostData(params) {
  return axios({
    url: '/produce/prodCostStatistics/listCost',
    method: 'get',
    params: params
  })
}

// 销售情况
export function getTheSales(params) {
  return axios({
    url: '/produce/prodSales/listSales',
    method: 'post',
    data: params
  })
}

/** 违规报警 */
/* 报警阈值设置 */
// 常规设置 - list
export function getRegularList(params) {
  return axios({
    url: '/produce/threshold/getThreshold',
    method: 'get',
    params: params
  })
}

// 常规设置 - 修改
export function getRegularSet(params) {
  return axios({
    url: '/produce/threshold/addThreshold',
    method: 'post',
    data: params
  })
}

// 报警设置 - 获取电话号码
export function getAlarmPhones(params) {
  return axios({
    url: '/produce/warningPhone/getWarningPhone',
    method: 'get',
    params: params
  })
}

// 报警设置 - 修改电话号码
export function postAlarmPhones(params) {
  return axios({
    url: '/produce/warningPhone/addWarningPhone',
    method: 'post',
    data: params
  })
}

// 报警设置 - 获取三个级别报警 table
export function getAlarmSets(params) {
  return axios({
    url: '/produce/warningSet/getWarningSet',
    method: 'get',
    params: params
  })
}

// 报警设置 - 修改三个级别报警 table
export function postAlarmSets(params) {
  return axios({
    url: '/produce/warningSet/addWarningSet',
    method: 'post',
    data: params
  })
}

/* 环境监测报警 */
export function getEnvAlarm(params) {
  return axios({
    url: '/produce/warningInfo/listWarningInfoZoology',
    method: 'post',
    data: params
  })
}

/* 环境排放报警 */
export function getSewageAlarm(params) {
  return axios({
    url: '/produce/warningInfo/listWarningInfoSewage',
    method: 'post',
    data: params
  })
}

/* 报警信息 */
// 报警情况占比 - 长条图
export function getOneWeekAlarm(params) {
  return axios({
    url: 'env/alarm/getOneWeekAlarm',
    method: 'get',
    params: params
  })
}

// 报警情况占比 - 圆环图
export function getTodayAlarmRate(params) {
  return axios({
    url: 'env/alarm/getTodayAlarmRate',
    method: 'get',
    params: params
  })
}

// 报警信息列表
export function getAlarmInfo(params) {
  return axios({
    url: '/produce/warningInfo/listWarningInfo',
    method: 'post',
    data: params
  })
}
